//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Variable-width multiplier made strictly out of AND Gates and adders according to the multiplication algorithm.
//Sub-module: Full Adder
//Care must taken when reading the result due to the considerable delay of the array when using large widths.
//Version 2.0
//Date: 7-Feb-2011
//Written by: Jose Pablo Pinilla
//Investigation Group: Advanced Digital Technologies (ADT)
//Universidad Pontificia Bolivariana Seccional Bucaramanga, Colombia
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
module adderC # (parameter SIZE = 1) (Cin,Sum1,Sum2,Result,Cout);

	input Cin;
	input [SIZE-1:0]Sum1,Sum2;
	output [SIZE-1:0]Result;
	output Cout;

assign {Cout,Result} = Sum1 + Sum2 + Cin;

endmodule
